Bug 151539 - python "package cleanup" too enthusiastic on x86_64 side
Summary: python "package cleanup" too enthusiastic on x86_64 side
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-19 00:44 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 14:10:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2005-03-19 00:44:09 UTC
Description of problem:

Package python-2.4-6.i386.rpm vanished from (well, never showed up in) x86_64 
packages and does not look so far that it is coming back.  There is a catch.

# rpm -e --test python.i386
error: Failed dependencies:
	libpython2.4.so.1.0 is needed by (installed)
openoffice.org-libs-1.1.3-6.7.0.i386

'openoffice' is still there so python.i386 cannot be de-installed.  OTOH
yum refuses to update only x86_64 python packages.  Maybe this is a problem
in yum but one ends up with:

....
---> Package python-devel.x86_64 0:2.4-6 set to be updated
---> Package python.x86_64 0:2.4-6 set to be updated
....
Error: Unable to satisfy dependencies
Error: Package python-devel needs python < 2.4-6, this is not available.

Adding python-2.4-6.i386.rpm to the mix allows to proceed with updates.
In any case it is needed if we do not want to get out of sync.

Version-Release number of selected component (if applicable):
python-2.4-6

Comment 1 Mihai Ibanescu 2005-04-07 22:01:13 UTC
I cannot seem to find a trace of openoffice.org-libs-1.1.3-6.7.0.i386 - but the
requirement on libpython is weird. Can you please paste the output of:

rpm -qi openoffice.org-libs

Comment 2 Michal Jaegermann 2005-04-08 00:46:21 UTC
That package in the meantime got superceded by redone in a different way
packages from openoffice.org-1.9.89 series and 'openoffice.org-pyuno',
which now provides Python bindings, does seem to be satisfied by
an existence of 'python.x86_64'.  I am not entirely sure if this is indeed
correct but at this moment there are no complaints about missing
dependencies.

OTOH on FC3 installation, where openoffice.org-libs-1.1.3-9.5.0.fc3 still does
exitst, a command 'rpm -qR openoffice.org-libs | grep py' prints:

libpython.so.2  
libpyuno.so

although there both of these are supplied by openoffice.org-libs itself
and a dependency on /usr/lib/libpython2.* does not seem to be present.

Comment 3 Mihai Ibanescu 2005-04-08 14:10:35 UTC
OK, please feel free to reopen this bug if it still occurs.

Comment 4 Michal Jaegermann 2005-04-11 18:49:40 UTC
The final irony is that openoffice.org-pyuno-1.9.89-5 has python.i386 in its
requirements and corresponding packages showed up in x86_64 set again. :-)


Note You need to log in before you can comment on or make changes to this bug.